[//lasso
	// process submissions
	if(client_param('save'));
		var('post') = snppt_post;
		client_param('pid') ? $post->parent = client_param('pid');
		$post->uid = encode_crc32(client_param('post') + date);
		$post->authorname = client_param('username');
		$post->authoremail = client_param('email');
		$post->post = client_param('post');
		$post->created = date;
		$post->save;
		redirect_url('/' + $post->uid);
	/if;
]
		<form id="editor" action="/" method="post">
			<input id="pid" name="pid" type="hidden" value="[$post->uid]" />
			<textarea id="post" name="post" cols="90" rows="18">[$post->post]</textarea>
			<label for="username">Username:</label><input id="username" name="username" type="text" />
			<label for="email">Email (never shown):</label><input id="email" name="email" type="text" />
			<label><input id="save" name="save" type="submit" value=" Save " /></label>
		</form>
